Package io.vertx.reactivex.ext.auth.authorization

## Class AndAuthorization

- java.lang.Object
- - io.vertx.reactivex.ext.auth.authorization.AndAuthorization

- All Implemented Interfaces:
    `Authorization`

      public class AndAuthorization
      extends Object
      implements Authorization

  Allows to perform a logical 'and' between several authorizations

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<AndAuthorization>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AndAuthorization​(AndAuthorization delegate)` |
    `AndAuthorization​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AndAuthorization` | `addAuthorization​(Authorization authorization)` |
    `static AndAuthorization` | `create()` |
    `boolean` | `equals​(Object o)` |
    `List<Authorization>` | `getAuthorizations()` |
    `AndAuthorization` | `getDelegate()` |
    `int` | `hashCode()` |
    `boolean` | `match​(AuthorizationContext context)` | this methods verifies whether or not the authorization match the specified context.
    `boolean` | `match​(User user)` | this methods verifies whether or not the authorization match the specified user.
    `static AndAuthorization` | `newInstance​(AndAuthorization arg)` |
    `JsonObject` | `toJson()` |
    `String` | `toString()` |
    `boolean` | `verify​(Authorization authorization)` | this method verifies whether or not the authorization implies the specified authorization.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<AndAuthorization> __TYPE_ARG

  - ### Constructor Detail

    - #### AndAuthorization

          public AndAuthorization​(AndAuthorization delegate)

    - #### AndAuthorization

          public AndAuthorization​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public AndAuthorization getDelegate()

      Specified by:
        `getDelegate` in interface `Authorization`

    - #### match

          public boolean match​(AuthorizationContext context)

      this methods verifies whether or not the authorization match the specified context.
      Specified by:
        `match` in interface `Authorization`
      Parameters:
        `context` - the context.
      Returns:
        true if there's a match.

    - #### verify

          public boolean verify​(Authorization authorization)

      this method verifies whether or not the authorization implies the specified authorization. Note that it doesn't always mean an exact match. For instance, in the case of a `WildcardPermissionBasedAuthorization`, this method may return true even if the permissions are different WildcardPermissionBasedAuthorization.create('*').verify(WildcardPermissionBasedAuthorization.create('anypermission')) would return true
      Specified by:
        `verify` in interface `Authorization`
      Parameters:
        `authorization` - the authorization.
      Returns:
        true if implies the argument.

    - #### toJson

          public JsonObject toJson()

      Specified by:
        `toJson` in interface `Authorization`

    - #### create

          public static AndAuthorization create()

    - #### getAuthorizations

          public List<Authorization> getAuthorizations()

    - #### addAuthorization

          public AndAuthorization addAuthorization​(Authorization authorization)

    - #### match

          public boolean match​(User user)

      this methods verifies whether or not the authorization match the specified user. Internally a basic context is created with the user and the method delegates to `Authorization.match(io.vertx.reactivex.ext.auth.authorization.AuthorizationContext)`
      Parameters:
        `user` - the user.
      Returns:
        true if there's a match

    - #### newInstance

          public static AndAuthorization newInstance​(AndAuthorization arg)